Package org.apache.solr.client.solrj.request

## Class ReplicaPropertiesApi.AddReplicaProperty

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>
  - - org.apache.solr.client.solrj.request.ReplicaPropertiesApi.AddReplicaProperty

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ReplicaPropertiesApi

    public static class ReplicaPropertiesApi.AddReplicaProperty
    extends SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`AddReplicaProperty​(String collName, String shardName, String replicaName, String propName)` Create a AddReplicaProperty request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ReplicaPropertiesApi.AddReplicaPropertyResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`RequestWriter.ContentWriter` `getContentWriter​(String _expectedTypeIGNORE)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`Set<String>` `getQueryParams()` Parameter keys that are sent via the query string
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setShardUnique​(Boolean shardUnique)`
`void` `setValue​(String value)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddReplicaProperty

    public AddReplicaProperty​(String collName,
                              String shardName,
                              String replicaName,
                              String propName)

Create a AddReplicaProperty request object.

Parameters:
  `collName` - Path param - The name of the collection the replica belongs to.
  `shardName` - Path param - The name of the shard the replica belongs to.
  `replicaName` - Path param - The replica, e.g., `core_node1`.
  `propName` - Path param - The name of the property to add.

### Method Detail

#### setValue

    public void setValue​(String value)

Parameters:
  `value` - The value to assign to the property.

#### setShardUnique

    public void setShardUnique​(Boolean shardUnique)

Parameters:
  `shardUnique` - If `true`, then setting this property in one replica will remove the property from all other replicas in that shard. The default is `false`.\\nThere is one pre-defined property `preferredLeader` for which `shardUnique` is forced to `true` and an error returned if `shardUnique` is explicitly set to `false`.

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String _expectedTypeIGNORE)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>`
Parameters:
  `_expectedTypeIGNORE` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>`

#### getQueryParams

    public Set<String> getQueryParams()

Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>`

#### createResponse

    protected ReplicaPropertiesApi.AddReplicaPropertyResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<ReplicaPropertiesApi.AddReplicaPropertyResponse>`
Returns:
  The `ResponseParser`